use binrw::{BinRead, BinWrite};

use crate::field_of::FieldOf;

/// Wrapper for basic types determined by initial u32 size
#[derive(BinRead, BinWrite, PartialEq, Debug)]
pub enum BasicField {
    U16(FieldOf<u16>),
    U32(FieldOf<u32>),
    Double(FieldOf<f64>),
}
